package cn.ibizlab.r7.runtime.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.client.model.IDataEntity;
import cn.ibizlab.r7.runtime.util.SearchContext;

/**
 * 实体[DataEntity] 服务对象接口
 */
public interface IDataEntityClientService{

    public IDataEntity createModel() ;

    public void remove(IDataEntity dataentity);

    public void create(IDataEntity dataentity);

    public void update(IDataEntity dataentity);

    public void initAll(IDataEntity dataentity);

    public void getDraft(IDataEntity dataentity);

    public void get(IDataEntity dataentity);

    public void save(IDataEntity dataentity);

    public void checkKey(IDataEntity dataentity);

    public Page<IDataEntity> fetchSelectDEAll(SearchContext context);

    public Page<IDataEntity> fetchDefault(SearchContext context);

}
